#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GIRepository.Objects.Repository where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Repository = Repository (ManagedPtr Repository)
instance GObject Repository where
class (GObject o, O.IsDescendantOf Repository o) => IsRepository o
instance (GObject o, O.IsDescendantOf Repository o) => IsRepository o
instance O.HasParentTypes Repository
#if ENABLE_OVERLOADING
data RepositoryEnumerateVersionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryFindByErrorDomainMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryFindByGtypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryFindByNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetCPrefixMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetDependenciesMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetImmediateDependenciesMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetLoadedNamespacesMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetNInfosMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetObjectGtypeInterfacesMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetSharedLibraryMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetTypelibPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryGetVersionMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryIsRegisteredMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryLoadTypelibMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryRequireMethodInfo
#endif
#if ENABLE_OVERLOADING
data RepositoryRequirePrivateMethodInfo
#endif
